<?php

require_once('config.php');

add_hook('AdminAreaHeadOutput', 1, function(array $params) use ($path_to_module) {
    try {
		$stylePath = [
			$path_to_module . '/includes/amchart/plugins/export/export.css'
		];
		$output = '<script type="text/javascript">var asset_path = "/01/modules/servers/ssreseller";</script>';
		foreach ($stylePath as $path) {
			$output .= '<link href="' . $path . '" rel="stylesheet">';
		}

		// fill array with relative path to js files from template file
		$scriptPath = [
			$path_to_module . '/includes/amchart/amcharts.js',
			$path_to_module . '/includes/amchart/serial.js',
			$path_to_module . '/includes/amchart/themes/patterns.js',
			$path_to_module . '/includes/amchart/plugins/export/export.js',
			$path_to_module . '/includes/bandwidth.js'
		];
		foreach ($scriptPath as $path) {
			$output .= '<script defer type="text/javascript" src="' . $path . '"></script>';
		}
		return $output;
    } catch (Exception $e) {
        echo "Error";exit();
    }
});

add_hook('ClientAreaHeadOutput', 1, function(array $params) use ($path_to_module) {
    try {
        // fill array with relative path to css files from template file
		$stylePath = [
			$path_to_module . '/includes/amchart/plugins/export/export.css'
		];
		$output = '<script type="text/javascript">var asset_path = "' . $path_to_module . '";</script>';
		foreach ($stylePath as $path) {
			$output .= '<link href="' . $path . '" rel="stylesheet">';
		}

		// fill array with relative path to js files from template file
		$scriptPath = [
			$path_to_module . '/includes/amchart/amcharts.js',
			$path_to_module . '/includes/amchart/serial.js',
			$path_to_module . '/includes/amchart/themes/patterns.js',
			$path_to_module . '/includes/amchart/plugins/export/export.js',
			$path_to_module . '/includes/bandwidth.js'
		];
		foreach ($scriptPath as $path) {
			$output .= '<script defer type="text/javascript" src="' . $path . '"></script>';
		}
		return $output;
    } catch (Exception $e) {
        echo "Error";exit();
    }
});